Bug 1529854 - Kernel oops - System freeze on wayland with nouveau on NV137 (GP107) and NVE4 (GK104) and GK107
Summary: Kernel oops - System freeze on wayland with nouveau on NV137 (GP107) and NVE4...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1491565
TreeView+ depends on / blocked
 
Reported: 2017-12-30 11:37 UTC by Jan Vlug
Modified: 2018-11-30 19:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 19:32:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 93629 None None None 2017-12-31 11:37:18 UTC
FreeDesktop.org 104421 None None None 2017-12-30 22:44:35 UTC

Description Jan Vlug 2017-12-30 11:37:12 UTC
I replaced the battery of the mouse (because it was empty and the mouse worked sluggishly). Could also be related to nouveau and screen lock, I experience regular system freezes. This time I logged in with ssh and retrieved this log: 


Dec 30 11:58:57 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 11:59:13 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 12:02:53 nyx kernel: usb 1-4: USB disconnect, device number 4
Dec 30 12:03:00 nyx kernel: usb usb1-port4: Cannot enable. Maybe the USB cable is bad?
Dec 30 12:03:01 nyx kernel: usb usb1-port4: Cannot enable. Maybe the USB cable is bad?
Dec 30 12:03:01 nyx kernel: usb usb1-port4: attempt power cycle
Dec 30 12:03:03 nyx kernel: usb usb1-port4: Cannot enable. Maybe the USB cable is bad?
Dec 30 12:03:04 nyx kernel: usb usb1-port4: Cannot enable. Maybe the USB cable is bad?
Dec 30 12:03:04 nyx kernel: usb usb1-port4: unable to enumerate USB device
Dec 30 12:06:20 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 12:12:29 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 12:15:05 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 12:15:20 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 12:17:18 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
Dec 30 12:17:20 nyx kernel: nouveau 0000:23:00.0: DRM: base-0: timeout
Dec 30 12:17:21 nyx kernel: nouveau 0000:23:00.0: bus: MMIO read of 00000000 FAULT at 616798 [ IBUS ]
Dec 30 12:17:21 nyx kernel: BUG: unable to handle kernel paging request at ffff8d9ebd7e5000
Dec 30 12:17:21 nyx kernel: IP: evo_wait+0x5d/0x130 [nouveau]
Dec 30 12:17:21 nyx kernel: PGD 67300067 P4D 67300067 PUD 0 
Dec 30 12:17:21 nyx kernel: Oops: 0002 [#1] SMP
Dec 30 12:17:21 nyx kernel: Modules linked in: uas usb_storage fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_
Dec 30 12:17:21 nyx kernel:  i2c_piix4 parport_pc tpm_tis parport shpchp tpm_tis_core tpm acpi_cpufreq dm_crypt hid_logitech_hidpp nouveau video mxm_wmi i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul r8169 crc
Dec 30 12:17:21 nyx kernel: CPU: 9 PID: 15981 Comm: kworker/9:0 Not tainted 4.14.8-300.fc27.x86_64 #1
Dec 30 12:17:21 nyx kernel: Hardware name: Micro-Star International Co., Ltd. MS-7A34/B350 PC MATE (MS-7A34), BIOS A.73 09/11/2017
Dec 30 12:17:21 nyx kernel: Workqueue: events drm_mode_rmfb_work_fn [drm]
Dec 30 12:17:21 nyx kernel: task: ffff8d9d51a03e80 task.stack: ffffb4320e7ac000
Dec 30 12:17:21 nyx kernel: RIP: 0010:evo_wait+0x5d/0x130 [nouveau]
Dec 30 12:17:21 nyx kernel: RSP: 0018:ffffb4320e7afc78 EFLAGS: 00010212
Dec 30 12:17:21 nyx kernel: RAX: ffff8d9e029f4000 RBX: 000000002eb7c402 RCX: ffffffffc049b540
Dec 30 12:17:21 nyx kernel: RDX: 000000002eb7c400 RSI: 0000000000000002 RDI: ffff8d9e038cd388
Dec 30 12:17:21 nyx kernel: RBP: ffffb4320e7afca0 R08: 0000000000000000 R09: 0000000000000004
Dec 30 12:17:21 nyx kernel: R10: ffffea590f233880 R11: ffffffffc049b1c0 R12: ffff8d9e038cd2e8
Dec 30 12:17:21 nyx kernel: R13: ffff8d9e0c4c9068 R14: 0000000000000002 R15: ffff8d9e038cd388
Dec 30 12:17:21 nyx kernel: FS:  0000000000000000(0000) GS:ffff8d9e1ee40000(0000) knlGS:0000000000000000
Dec 30 12:17:21 nyx kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Dec 30 12:17:21 nyx kernel: CR2: ffff8d9ebd7e5000 CR3: 00000003c6d6d000 CR4: 00000000003406e0
Dec 30 12:17:21 nyx kernel: Call Trace:
Dec 30 12:17:21 nyx kernel:  nv50_base_update+0x2a/0xf0 [nouveau]
Dec 30 12:17:21 nyx kernel:  nv50_disp_atomic_commit_tail+0x64a/0x3980 [nouveau]
Dec 30 12:17:21 nyx kernel:  nv50_disp_atomic_commit+0x26e/0x280 [nouveau]
Dec 30 12:17:21 nyx kernel:  drm_atomic_commit+0x4b/0x50 [drm]
Dec 30 12:17:21 nyx kernel:  drm_framebuffer_remove+0x2a5/0x3c0 [drm]
Dec 30 12:17:21 nyx kernel:  drm_mode_rmfb_work_fn+0x55/0x70 [drm]
Dec 30 12:17:21 nyx kernel:  process_one_work+0x193/0x3c0
Dec 30 12:17:21 nyx kernel:  worker_thread+0x35/0x3b0
Dec 30 12:17:21 nyx kernel:  kthread+0x125/0x140
Dec 30 12:17:21 nyx kernel:  ? process_one_work+0x3c0/0x3c0
Dec 30 12:17:21 nyx kernel:  ? kthread_park+0x60/0x60
Dec 30 12:17:21 nyx kernel:  ret_from_fork+0x25/0x30
Dec 30 12:17:21 nyx kernel: Code: a0 00 00 00 c1 e8 02 89 c3 4c 89 ff e8 fd 5a 49 ca 89 da 44 01 f3 81 fb f7 03 00 00 48 8d 04 95 00 00 00 00 76 7a 49 8b 44 24 38 <c7> 04 90 00 00 00 20 49 8b 74 24 18 48 85 f6 7
Dec 30 12:17:21 nyx kernel: RIP: evo_wait+0x5d/0x130 [nouveau] RSP: ffffb4320e7afc78
Dec 30 12:17:21 nyx kernel: CR2: ffff8d9ebd7e5000
Dec 30 12:17:21 nyx kernel: ---[ end trace 4880f0d9dac51dbf ]---

Comment 1 Jan Vlug 2017-12-30 22:30:47 UTC
Probably the problem is purely nouveau related. My system froze again, but again I was still able to access it via ssh (but not via the attached keyboard and display, even CTRL-ALT-F2, did not work):

Dec 30 13:15:23 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 16:07:48 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 16:59:14 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 16:59:52 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 17:10:14 nyx kernel: nf_conntrack: default automatic helper assignment has been turned off for security reasons and CT-based  firewall rule not found. Use the iptables CT target to attach helpers instead.
Dec 30 18:17:37 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 18:19:37 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 18:20:06 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 18:54:51 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 19:58:54 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 19:59:13 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 21:18:02 nyx kernel: perf: interrupt took too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 79000
Dec 30 22:08:39 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 22:12:54 nyx kernel: nouveau 0000:23:00.0: disp: 0x000061ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
Dec 30 23:22:32 nyx kernel: nouveau 0000:23:00.0: gr: TRAP ch 14 [00ff115000 Xwayland[5346]]
Dec 30 23:22:32 nyx kernel: nouveau 0000:23:00.0: gr: GPC0/TPC0/TEX: 80000041
Dec 30 23:22:32 nyx kernel: nouveau 0000:23:00.0: gr: GPC0/TPC1/TEX: 80000041
Dec 30 23:22:32 nyx kernel: nouveau 0000:23:00.0: gr: GPC0/TPC2/TEX: 80000041
Dec 30 23:22:32 nyx kernel: nouveau 0000:23:00.0: gr: GPC1/TPC2/TEX: 80000041
Dec 30 23:22:32 nyx kernel: nouveau 0000:23:00.0: fifo: read fault at 000685a000 engine 00 [GR] client 18 [GPC1/PE_5] reason 02 [PTE] on channel 14 [00ff115000 Xwayland[5346]]
Dec 30 23:22:32 nyx kernel: nouveau 0000:23:00.0: fifo: channel 14: killed
Dec 30 23:22:32 nyx kernel: nouveau 0000:23:00.0: fifo: runlist 0: scheduled for recovery
Dec 30 23:22:32 nyx kernel: nouveau 0000:23:00.0: fifo: engine 0: scheduled for recovery
Dec 30 23:22:32 nyx kernel: nouveau 0000:23:00.0: Xwayland[5346]: channel 14 killed!

Comment 2 Jan Vlug 2017-12-30 22:43:37 UTC
I also reported this issue here: https://bugs.freedesktop.org/show_bug.cgi?id=104421

Comment 3 Jan Vlug 2017-12-30 22:56:56 UTC
I will use the bug at freedesktop.org for further updates.

Comment 4 Jerry James 2017-12-31 01:12:37 UTC
I'm seeing (nearly) the same log messages as in comment 1, with a GM107 (GeForce GTX 750 Ti).

Comment 5 Jan Vlug 2018-01-29 15:01:13 UTC
See https://bugs.freedesktop.org/show_bug.cgi?id=104421 for more details from the log files. I suggest to rise the priority of this bug, because it freezes my whole system regularly.

Comment 6 Maribel 2018-02-01 12:41:40 UTC
I have been seeing the same issue for the past few weeks and since no recent OS updates have resolved it, it may be best to join this bug report:

VGA controller:
NVIDIA Corporation GK107 [GeForce GT 640] (rev a1)

OS:
Fedora 27

Desktop environment:
Gnome v 3.26.2

When resizing a Firefox window (in my case to the side), the system freezes. This happens on both GNOME (default Wayland) and GNOME Classic sessions.

As a workaround, I now use GNOME on Xorg, where the issue has not occurred so far.

Comment 7 Ben Cotton 2018-11-27 17:16:03 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2018-11-30 19:32:54 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.